/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.samplestruts.servlet;

import com.liferay.portal.kernel.util.ContentTypes;

import java.io.IOException;

import java.util.Enumeration;

import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * @author Brian Wing Shun Chan
 */
public class TestSessionServlet extends HttpServlet {

	@Override
	public void service(
			HttpServletRequest request, HttpServletResponse response)
		throws IOException, ServletException {

		HttpSession session = request.getSession();

		StringBuilder sb = new StringBuilder();

		// Remote User

		sb.append("<b>Remote User:</b><br /><br />");
		sb.append(request.getRemoteUser());
		sb.append("<br /><br />");

		// Session ID

		sb.append("<b>Session ID:</b><br /><br />");
		sb.append(request.getRequestedSessionId());
		sb.append("<br /><br />");

		// Servlet Session Attributes

		sb.append("<b>Servlet Session Attributes:</b><br /><br />");

		Enumeration enu = session.getAttributeNames();

		while (enu.hasMoreElements()) {
			String attrName = (String)enu.nextElement();

			Object attrValue = session.getAttribute(attrName);

			sb.append(attrName);
			sb.append("=");
			sb.append(attrValue);
			sb.append("<br />");
		}

		response.setContentType(ContentTypes.TEXT_HTML);

		ServletOutputStream servletOutputStream = response.getOutputStream();

		servletOutputStream.print(sb.toString());

		servletOutputStream.flush();
	}

}