/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.samplestruts.struts.action;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.samplestruts.model.Book;
import com.liferay.samplestruts.struts.form.NestedForm;

import java.util.Iterator;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author Scott Lee
 */
public class NestedAction extends Action {

	@Override
	public ActionForward execute(
			ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response)
		throws Exception {

		NestedForm nestedForm = (NestedForm)form;

		Iterator itr = nestedForm.getBooks().iterator();

		while (itr.hasNext()) {
			Book book = (Book)itr.next();

			if (_log.isInfoEnabled()) {
				_log.info(
					"Book " + book.getIsbn() + " " + book.getTitle() + " " +
						book.getCover());
			}
		}

		return mapping.findForward("/sample_struts_portlet/nested_success");
	}

	private static Log _log = LogFactoryUtil.getLog(NestedAction.class);

}