/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.samplestruts.struts.action;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.util.StringPool;

import java.util.Iterator;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.FileItemFactory;
import org.apache.commons.fileupload.disk.DiskFileItemFactory;
import org.apache.commons.fileupload.servlet.ServletFileUpload;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author Brian Wing Shun Chan
 */
public class UploadAction extends Action {

	@Override
	public ActionForward execute(
			ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response)
		throws Exception {

		FileItemFactory factory = new DiskFileItemFactory();

		ServletFileUpload upload = new ServletFileUpload(factory);

		List<FileItem> items = upload.parseRequest(request);

		Iterator<FileItem> itr = items.iterator();

		String itemName = StringPool.BLANK;

		while (itr.hasNext()) {
			FileItem item = itr.next();

			if (!item.isFormField()) {
				if (_log.isInfoEnabled()) {
					_log.info("Field name " + item.getFieldName());
				}

				itemName = item.getName();

				if (_log.isInfoEnabled()) {
					_log.info("Name " + itemName);
					_log.info("Content type " + item.getContentType());
					_log.info("In memory " + item.isInMemory());
					_log.info("Size " + item.getSize());
				}
			}
		}

		request.setAttribute("file_name", itemName);

		return mapping.findForward("/sample_struts_portlet/upload_success");
	}

	private static Log _log = LogFactoryUtil.getLog(UploadAction.class);

}