/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.samplestruts.struts.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;

/**
 * @author Brian Wing Shun Chan
 */
public class SubscribeForm extends ActionForm {

	public String getFirstName() {
		return _firstName;
	}

	public void setFirstName(String firstName) {
		_firstName = firstName;
	}

	public String getLastName() {
		return _lastName;
	}

	public void setLastName(String lastName) {
		_lastName = lastName;
	}

	public String getEmailAddress() {
		return _emailAddress;
	}

	public void setEmailAddress(String emailAddress) {
		_emailAddress = emailAddress;
	}

	@Override
	public void reset(ActionMapping mapping, HttpServletRequest req) {
		_firstName = null;
		_lastName = null;
		_emailAddress = null;
	}

	@Override
	public ActionErrors validate(
		ActionMapping mapping, HttpServletRequest req) {

		ActionErrors errors = new ActionErrors();

		if ((_lastName == null) || (_lastName.length() < 1)) {
			errors.add(
				"lastName", new ActionMessage("error.lastName.required"));
		}

		if ((_emailAddress == null) || (_emailAddress.length() < 1)) {
			errors.add(
				"emailAddress",
				new ActionMessage("error.emailAddress.required"));
		}

		return errors;
	}

	@Override
	public String toString() {
		return _firstName + " " + _lastName + " " + _emailAddress;
	}

	private String _firstName;
	private String _lastName;
	private String _emailAddress;

}